#include<bits/stdc++.h>
using namespace std;
int skokche(long long a,long long b,int k)
{
    int br=0;
    while(a!=b)
    {
        if((a+2)%k==0 || b-a==1)
        {
            a+=1;
            br++;
        }
        else
        {
            a+=2;
            br++;
        }
    }
    return br;
}
int main()
{
    long long a,b;
    int k;
    cin>>a>>b>>k;
    cout<<skokche(a,b,k);
    return 0;
}
